/// <reference types="node" />
import { inspect, InspectOptions } from "util";
import V1 from "../../V1";
export declare class CreateMarketplaceBillingUsageRequest {
    "billableItems"?: Array<CreateMarketplaceBillingUsageRequestBillableItems>;
}
export declare class CreateMarketplaceBillingUsageRequestBillableItems {
    /**
     *
     */
    "quantity": number;
    /**
     *
     */
    "sid": string;
}
export declare class MarketplaceInstalledAddOnBillingUsageResponseBillableItems {
    /**
     *
     */
    "quantity"?: number;
    /**
     *
     */
    "sid"?: string;
    /**
     * Whether this billable item was successfully submitted for billing.
     */
    "submitted"?: boolean;
}
/**
 * Options to pass to create a InstalledAddOnUsageInstance
 */
export interface InstalledAddOnUsageListInstanceCreateOptions {
    /**  */
    createMarketplaceBillingUsageRequest: CreateMarketplaceBillingUsageRequest;
}
export interface InstalledAddOnUsageSolution {
    installedAddOnSid: string;
}
export interface InstalledAddOnUsageListInstance {
    _version: V1;
    _solution: InstalledAddOnUsageSolution;
    _uri: string;
    /**
     * Create a InstalledAddOnUsageInstance
     *
     * @param params - Body for request
     * @param callback - Callback to handle processed record
     *
     * @returns Resolves to processed InstalledAddOnUsageInstance
     */
    create(params: CreateMarketplaceBillingUsageRequest, callback?: (error: Error | null, item?: InstalledAddOnUsageInstance) => any): Promise<InstalledAddOnUsageInstance>;
    /**
     * Provide a user-friendly representation
     */
    toJSON(): any;
    [inspect.custom](_depth: any, options: InspectOptions): any;
}
export declare function InstalledAddOnUsageListInstance(version: V1, installedAddOnSid: string): InstalledAddOnUsageListInstance;
interface InstalledAddOnUsageResource {
    billable_items: Array<MarketplaceInstalledAddOnBillingUsageResponseBillableItems>;
    total_submitted: number;
}
export declare class InstalledAddOnUsageInstance {
    protected _version: V1;
    constructor(_version: V1, payload: InstalledAddOnUsageResource, installedAddOnSid: string);
    billableItems: Array<MarketplaceInstalledAddOnBillingUsageResponseBillableItems>;
    /**
     * Represents the total quantity submitted.
     */
    totalSubmitted: number;
    /**
     * Provide a user-friendly representation
     *
     * @returns Object
     */
    toJSON(): {
        billableItems: MarketplaceInstalledAddOnBillingUsageResponseBillableItems[];
        totalSubmitted: number;
    };
    [inspect.custom](_depth: any, options: InspectOptions): string;
}
export {};
